relative-pointer-unstable-v1-client-protocol.h File Reference
`#include <stdint.h>`
`#include <stddef.h>`
`#include "wayland-client.h"`
Include dependency graph for relative-pointer-unstable-v1-client-protocol.h:

Go to the source code of this file.

## Data Structures

struct | zwp_relative_pointer_v1_listener

## Macros

#define | ZWP_RELATIVE_POINTER_MANAGER_V1_DESTROY 0
#define | ZWP_RELATIVE_POINTER_MANAGER_V1_GET_RELATIVE_POINTER 1
#define | ZWP_RELATIVE_POINTER_MANAGER_V1_DESTROY_SINCE_VERSION 1
#define | ZWP_RELATIVE_POINTER_MANAGER_V1_GET_RELATIVE_POINTER_SINCE_VERSION 1
#define | ZWP_RELATIVE_POINTER_V1_DESTROY 0
#define | ZWP_RELATIVE_POINTER_V1_RELATIVE_MOTION_SINCE_VERSION 1
#define | ZWP_RELATIVE_POINTER_V1_DESTROY_SINCE_VERSION 1

## Functions

static void | zwp_relative_pointer_manager_v1_set_user_data (struct zwp_relative_pointer_manager_v1 *zwp_relative_pointer_manager_v1, void *user_data)
static void * | zwp_relative_pointer_manager_v1_get_user_data (struct zwp_relative_pointer_manager_v1 *zwp_relative_pointer_manager_v1)
static uint32_t | zwp_relative_pointer_manager_v1_get_version (struct zwp_relative_pointer_manager_v1 *zwp_relative_pointer_manager_v1)
static void | zwp_relative_pointer_manager_v1_destroy (struct zwp_relative_pointer_manager_v1 *zwp_relative_pointer_manager_v1)
static struct zwp_relative_pointer_v1 * | zwp_relative_pointer_manager_v1_get_relative_pointer (struct zwp_relative_pointer_manager_v1 *zwp_relative_pointer_manager_v1, struct wl_pointer *pointer)
static int | zwp_relative_pointer_v1_add_listener (struct zwp_relative_pointer_v1 *zwp_relative_pointer_v1, const struct zwp_relative_pointer_v1_listener *listener, void *data)
static void | zwp_relative_pointer_v1_set_user_data (struct zwp_relative_pointer_v1 *zwp_relative_pointer_v1, void *user_data)
static void * | zwp_relative_pointer_v1_get_user_data (struct zwp_relative_pointer_v1 *zwp_relative_pointer_v1)
static uint32_t | zwp_relative_pointer_v1_get_version (struct zwp_relative_pointer_v1 *zwp_relative_pointer_v1)
static void | zwp_relative_pointer_v1_destroy (struct zwp_relative_pointer_v1 *zwp_relative_pointer_v1)

## Variables

const struct wl_interface | zwp_relative_pointer_manager_v1_interface
const struct wl_interface | zwp_relative_pointer_v1_interface

## Macro Definition Documentation

## ZWP_RELATIVE_POINTER_MANAGER_V1_DESTROY

#define ZWP_RELATIVE_POINTER_MANAGER_V1_DESTROY 0

Definition at line 113 of file relative-pointer-unstable-v1-client-protocol.h.

Referenced by zwp_relative_pointer_manager_v1_destroy().

## ZWP_RELATIVE_POINTER_MANAGER_V1_GET_RELATIVE_POINTER

#define ZWP_RELATIVE_POINTER_MANAGER_V1_GET_RELATIVE_POINTER 1

Definition at line 114 of file relative-pointer-unstable-v1-client-protocol.h.

Referenced by zwp_relative_pointer_manager_v1_get_relative_pointer().

## ZWP_RELATIVE_POINTER_V1_DESTROY

#define ZWP_RELATIVE_POINTER_V1_DESTROY 0

Definition at line 247 of file relative-pointer-unstable-v1-client-protocol.h.

Referenced by zwp_relative_pointer_v1_destroy().

## Function Documentation

## zwp_relative_pointer_manager_v1_get_version()

static uint32_t zwp_relative_pointer_manager_v1_get_version | ( | struct zwp_relative_pointer_manager_v1 * | zwp_relative_pointer_manager_v1 | ) |

inline static

Definition at line 141 of file relative-pointer-unstable-v1-client-protocol.h.

{
return wl_proxy_get_version((struct wl_proxy *) zwp_relative_pointer_manager_v1);
}

## zwp_relative_pointer_v1_get_version()

static uint32_t zwp_relative_pointer_v1_get_version | ( | struct zwp_relative_pointer_v1 * | zwp_relative_pointer_v1 | ) |

inline static

Definition at line 274 of file relative-pointer-unstable-v1-client-protocol.h.

{
return wl_proxy_get_version((struct wl_proxy *) zwp_relative_pointer_v1);
}

## Variable Documentation

## zwp_relative_pointer_manager_v1_interface

const struct wl_interface zwp_relative_pointer_manager_v1_interface

Definition at line 50 of file relative-pointer-unstable-v1-protocol.c.

## zwp_relative_pointer_v1_interface

WL_EXPORT const struct wl_interface zwp_relative_pointer_v1_interface

Initial value:
= {
"zwp_relative_pointer_v1", 1,
1, zwp_relative_pointer_v1_requests,
1, zwp_relative_pointer_v1_events,
}
zwp_relative_pointer_v1_requests
static const struct wl_message zwp_relative_pointer_v1_requests[]
Definition: relative-pointer-unstable-v1-protocol.c:56
zwp_relative_pointer_v1_events
static const struct wl_message zwp_relative_pointer_v1_events[]
Definition: relative-pointer-unstable-v1-protocol.c:60

Definition at line 64 of file relative-pointer-unstable-v1-protocol.c.

Referenced by zwp_relative_pointer_manager_v1_get_relative_pointer().